﻿
<div class="modal fade" data-backdrop="static" data-keyboard="false" id="CheckInModal" tabindex="-1" role="dialog" aria-labelledby="CheckInModal" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div id="divLoadingModal"></div>
        <div class="modal-content">
            <div class="modal-header clearfix">
                <button type="button" class="btn btn-danger btn-xs pull-right" onclick="OnCloseCheckIn();"><span class="glyphicon glyphicon-remove"></span></button>
                <h4 class="modal-title text-center" style="color: darkblue;"><b>@Resources.Content.CheckIn</b></h4>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-md-6">
                        <input id="checkinid" name="checkinid" type="text" style="display: none;" disabled="disabled" value="" class="form-control" />
                        <input id="exrate" name="exrate" type="text" style="display: none;" disabled="disabled" value="" class="form-control" />
                        <input id="bookid" name="bookid" type="text" style="display: none;" disabled="disabled" value="" class="form-control" />
                        <div class="form-group">
                            <label for="chroomid">@Resources.Content.RoomNo</label>
                            <select class="form-control input-sm" id="chroomid" disabled>
                                @foreach (var room in Model.ListRoomBook)
                                {
                                    <option value=@room.id>@room.room_no</option>
                                }
                            </select>
                        </div>
                        <div class="form-group">
                            <label for="guestidchin">@Resources.Content.Guest</label>
                            <select class="form-control input-sm" id="guestidchin" disabled>
                                @foreach (var room in Model.GuestList)
                                {
                                    <option value=@room.id>@room.name</option>
                                }
                            </select>
                        </div>
                        <div class="form-group">
                            <label class="control-label" for="roompricech">@Resources.Content.RoomPrice</label>
                            <input id="roompricech" name="roompricech" placeholder="0.00" value="0" type="number" class="form-control input-sm" readonly="readonly">
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="control-label" for="payforroom">@Resources.Content.PayForRoom</label>
                                    <input id="payforroom" readonly="readonly" name="payforroom" placeholder="0.00" value="0" onfocus="this.select();" type="number" class="form-control input-sm">
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="control-label" for="prepaid">@Resources.Content.PrePaid</label>
                                    <input id="prepaid" oninput="ChangePrepaid()" name="prepaid" placeholder="0.00" value="0" onfocus="this.select();" type="number" class="form-control input-sm">
                                </div>
                            </div>
                        </div>

                    </div>
                    <div class="col-md-6">
                        <input id="datenow" name="datenow" style="display: none;" type="date" value="@DateTime.Now.ToString("yyyy'-'MM'-'dd")" class="form-control input-sm" placeholder="Choose Datetime" />
                        <input id="checkindate" readonly="readonly" name="checkindate" type="date" value="@DateTime.Now.ToString("yyyy'-'MM'-'dd")" class="form-control input-sm" style="min-width: 100%;display:none" />
                        <div class="form-group">
                            <label class="control-label" for="estartrecord">@Resources.Content.ElectricStartRecord</label>
                            <input id="estartrecord" name="estartrecord" placeholder="Enter current number" onfocus="this.select();" value="0" type="number" class="form-control input-sm">
                        </div>
                        <div class="form-group">
                            <label class="control-label" for="wstartrecord">@Resources.Content.WaterStartRecord</label>
                            <input id="wstartrecord" name="wstartrecord" placeholder="Enter current number" onfocus="this.select();" value="0" type="number" class="form-control input-sm">
                        </div>
                        <div class="form-group">
                            <label for="paydollar">@Resources.Content.PayDollar</label>
                            <input id="paydollar" oninput="PayDollarChange()" name="paydollar" onfocus="this.select();" placeholder="Enter number of man" type="number" value="0" class="form-control input-sm" style="min-width: 100%" />
                        </div>
                        <div class="form-group">
                            <label class="control-label" for="payriel">@Resources.Content.PayRiel</label>
                            <input id="payriel" readonly="readonly" name="payriel" onfocus="this.select();" placeholder="Enter current number" value="0" type="text" class="form-control input-sm">
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-4">
                        <div class="form-group">
                            <label for="man">@Resources.Content.Man</label>
                            <input id="man" name="man" placeholder="Enter number of man" type="number" onfocus="this.select();" value="0" class="form-control input-sm" style="min-width: 100%" />
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label for="women">@Resources.Content.Woman</label>
                            <input id="women" name="women" placeholder="Enter number of women" type="number" onfocus="this.select();" value="0" class="form-control input-sm" style="min-width: 100%" />
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label for="child">@Resources.Content.Child</label>
                            <input id="child" name="child" placeholder="Enter number of child" type="number" onfocus="this.select();" value="0" class="form-control input-sm" style="min-width: 100%" />
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" id="btnTest" onclick="OnCloseCheckIn()" class="btn btn-danger btn-sm pull-right" style="width: 100px; margin-left: 5px;"><span class="glyphicon glyphicon-remove"></span> @Resources.Content.Close</button>
                <button type="button" id="btnSaveCheckIn" onclick="CheckInAction()" class="btn btn-info btn-sm pull-right" style="width:100px"><span class="glyphicon glyphicon-save"></span> @Resources.Content.Save</button>
            </div>
        </div>
    </div>
</div>


<script>
    function OnCloseCheckIn() {
        window.location.reload(true);
        
    }
    function CheckInAction() {
        var data = {
            roomid: $('#chroomid').val(),
            guestid: $('#guestidchin').val(),
            child: $('#child').val(),
            man: $('#man').val(),
            women: $('#women').val(),
            payforroom: $('#payforroom').val(),
            prepaid: $('#prepaid').val(),
            paydollar: $('#paydollar').val(),
            payriel: $('#payriel').val(),
        };
        $.ajax({
            url: "/api/checkins",
            data: JSON.stringify(data),
            type: "POST",
            contentType: "application/json;charset=utf-8",
            dataType: "json",
            success: function (result) {
                CreatetWaterElectricCheckIn(data.guestid);
                GuestStatusUpdate(data.guestid);
                UpdateStatusRoom();
                UpdateBookingAcitve();
            },
            error: function (errormesage) {
                toastr.error("This Name Guest is exist in Database", "Server Respond");
                return false;
            }

        });
    }

    function CreatetWaterElectricCheckIn(id) {
        var data = new FormData();
        data.append("guestid", id);
        data.append("startdate", $('#datenow').val());
        data.append("enddate", $('#datenow').val());
        data.append("wstartrecord", $('#wstartrecord').val());
        data.append("wendrecord", $('#wstartrecord').val());
        data.append("estartrecord", $('#estartrecord').val());
        data.append("eendrecord", $('#estartrecord').val());
        $.ajax({
            type: "POST",
            url: "/api/waterelectricusages",
            contentType: false,
            processData: false,
            data: data,
            success: function (result) {
                toastr.success("Check In successfully.", "Server Response");
                window.location.reload(true);
            },
            error: function (errormesage) {
                toastr.error("Electric usage insert faild!", "Server Respond");
                return false;
            }
        });
    }
    function UpdateStatusRoom() {
        $.ajax({
            type: "PUT",
            url: "/api/updateroomstatus/" + $("#chroomid").val() + "/CHECK-IN",
            contentType: false,
            processData: false,
            // data: status,
            success: function (result) {
            },
            error: function (error) {
                toastr.error("Update room status fail!", "Server Response");
            }
        });
    }
    function GuestStatusUpdate(id) {
        $.ajax({
            type: "PUT",
            url: "/api/updategueststatus/" + id + "/CheckIn",
            contentType: false,
            processData: false,
            // data: status,
            success: function (result) {
            },
            error: function (error) {
                toastr.error("Update room status fail!", "Server Response");
            }
        });
    }
    function UpdateBookingAcitve() {
        $.ajax({
            type: "PUT",
            url: "/api/bookingstatus/" + $("#bookid").val() + "/Active",
            contentType: false,
            processData: false,
            // data: status,
            success: function (result) {
                //toastr.success("Booking has been update successfully.", "Server Response");
            },
            error: function (error) {
                toastr.error("Unblock room fail!", "Server Response");
            }
        });
    }

    function ChangePrepaid() {
        var payforroom = parseFloat($('#payforroom').val());
        var prepaid = parseFloat($('#prepaid').val());
        $('#paydollar').val(payforroom + prepaid);
        $('#payriel').val(0);
    }
    function PayDollarChange() {
        var payforroom = parseFloat($('#payforroom').val());
        var prepaid = parseFloat($('#prepaid').val());
        var paydollar = parseFloat($('#paydollar').val());
        var exrate = parseFloat($('#exrate').val());
        var total = (payforroom + prepaid - paydollar) * exrate;
        $('#payriel').val(total.toFixed(2).replace(/\d(?=(\d{3})+\.)/g, '$&,'));
    }
</script>



